// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot;

import frc.robot.constants.OIConstants;
import frc.robot.subsystems.DriveSubsystem;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.PrintCommand;
import edu.wpi.first.wpilibj2.command.button.CommandXboxController;

public class RobotContainer {
  private DriveSubsystem drivetrain;

  private CommandXboxController driver;

  public RobotContainer() {
    drivetrain = new DriveSubsystem();

    driver = new CommandXboxController(OIConstants.kDriverControllerPort);
    
    configureButtonBindings();
  }

  private void configureButtonBindings() {
    drivetrain.setDefaultCommand(
        drivetrain.drive(
            driver::getLeftY, 
            driver::getLeftX, 
            driver::getRightX, 
            () -> true
        )
    );

    driver.start().whileTrue(drivetrain.setXCommand());
  }

  public Command getAutonomousCommand() {
    return new PrintCommand("NO AUTO DEFINED");
  }
}
